Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003702TestLinkDatabase MySQLpublic2010-08-24 20:592010-08-31 20:26
ReporterDrops 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformApache 2.2.15OSWin2003OS VersionWin2003
Product Version1.9 Beta 5 
Fixed in Version1.9 Beta 6 
Summary0003702: SQL DB Access Error when delete some TestCase
Description==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ==============================================================================
#0 database->exec_query(/* Class:testcase - Method: _blind_delete */ DELETE FROM tcsteps WHERE id IN (,)) called at [C:\srv\http\testlink\lib\functions\testcase.class.php:1300]
#1 testcase->_blind_delete(420, 0, Array ([tcversion] => Array ([0] => 421,[1] => 422),[step] => Array ([0] => ,[1] => ))) called at [C:\srv\http\testlink\lib\functions\testcase.class.php:1116]
0000002 testcase->delete(420, 0) called at [C:\srv\http\testlink\lib\testcases\testcaseCommands.class.php:421]
0000003 testcaseCommands->doDelete(stdClass Object ([assigned_keywords_list] => ,[container_id] => 0,[tcase_id] => 420,[tcversion_id] => 0,[name] => ,[summary] => ,[preconditions] => ,[steps] => ,[expected_results] => ,[new_container_id] => 0,[old_container_id] => 0,[has_been_executed] => 0,[exec_type] => 1,[importance] => 2,[doAction] => doDelete,[move_copy_tc] => 0,[delete_tc_version] => 0,[do_move] => 0,[do_copy] => 0,[do_create_new_version] => 0,[do_delete_tc_version] => 0,[do_activate_this] => 0,[do_deactivate_this] => 0,[target_position] => bottom,[copy] => Array ([keyword_assignments] => ,[requirement_assignments] => ),[show_mode] => ,[step_number] => 0,[step_id] => 0,[step_set] => ,[tcaseSteps] => ,[testproject_id] => 27,[user_id] => 1,[refreshTree] => 1,[opt_requirements] => 1,[basehref] => http://localhost:85/testlink/,[goback_url] [^] => ), Array ([testcase_id] => 420,[tcversion_id] => 0,[do_delete] => Yes, delete Test Case!)) called at [C:\srv\http\testlink\lib\testcases\tcEdit.php:106]
 ==============================================================================
Delete Test Case :TSP-98 : NewTest3
Test Case :TSP-98 : NewTest3 was successfully deleted




The Last Snapshot of Testlink 1.9 Beta6

Log level ERROR
Timestamp 24/08/2010 23:42:39
Source DATABASE
Description ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1 - /* Class:testcase - Method: _blind_delete */ DELETE FROM tcsteps WHERE id IN (,)
THE MESSAGE : SQL [23] executed [took 0.0001 secs][all took 0.0087 secs]: /* Class:testcase - Method: _blind_delete */ DELETE FROM tcsteps WHERE id IN (,) Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1
Session information
User admin
Session ID bhe91a4dsj7q8eikr1aoainl66
Steps To Reproduce1. Create TestCase3 without steps and without assigned requirements
2. Save it
3. Create the new version 2 for the TestCase3
4. Save it
5. Try to delete the TestCase3 completely -> SQL Error
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.1.36
BrowserChrome
PHP VersionPHP 5.2.10
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3702.zip [^] (37,203 bytes) 2010-08-25 20:57

- Relationships
child of 0003570closedfman Availables Fixes for 1.9 Beta 5 

-  Notes
(0010946)
fman (administrator)
2010-08-25 20:58

please use attached fix, and let us know
(0010948)
Drops (reporter)
2010-08-26 07:27

Yes, it works now without error. Thanks.
The issue was fixed.
(0011027)
fman (administrator)
2010-08-31 20:26

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-08-24 20:59 Drops New Issue
2010-08-25 10:18 fman Assigned To => fman
2010-08-25 10:18 fman Status new => assigned
2010-08-25 20:57 fman File Added: fix-3702.zip
2010-08-25 20:58 fman Note Added: 0010946
2010-08-25 20:58 fman Status assigned => feedback
2010-08-26 07:27 Drops Note Added: 0010948
2010-08-26 07:27 Drops Status feedback => assigned
2010-08-27 17:57 fman Status assigned => resolved
2010-08-27 17:57 fman Fixed in Version => 1.9 Beta 6
2010-08-27 17:57 fman Resolution open => fixed
2010-08-27 17:57 fman Relationship added child of 0003570
2010-08-31 20:26 fman Note Added: 0011027
2010-08-31 20:26 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker